Skip to main content
Delphix

Delphix Engine Configuration May Be Damaged When Management Service Starts (TB016)

Alert Type

Availability

Impact

In some circumstances, the Delphix Engine configuration can be damaged when the Delphix Engine's Management Service starts. The Management Service starts following a Delphix Engine reboot, an administrator-initiated restart, or automatically when the Management Service encounters a serious fault. If the Delphix Engine configuration is damaged, the next startup of the Management Service may fail and subsequent operations may be impaired, including SnapSync, LogSync, Provisioning, or the control of existing Virtual Databases (VDBs). VDBs already running before the configuration is changed will not be directly impacted; however, the ability to subsequently control VDBs may be affected. Depending on the level of damage to the Delphix Engine configuration, there may be a protracted loss of function in the Delphix Engine. 

Contributing Factors

The issue may occur in the following Delphix Releases:

  • Delphix Engine 4.0.0.0 and 4.0.0.1
  • Delphix Engine 4.0.1.0
  • Delphix Engine 4.0.2.0
  • Delphix Engine 4.0.3.0
  • Delphix Engine 4.0.4.0

The problem can only occur during the start of the Delphix Management service, which occurs following a Delphix Engine reboot, an administrator-initiated service restart, or when the Management Service encounters a serious fault. 

Symptoms

Symptoms may vary and are difficult to predict. They may include:

  • Failure of the Delphix Engine Management Service to start
  • Delphix Engine job failures, including some jobs failing with internal Delphix Engine Management Service or other internal errors

Relief/Workaround

No workaround is available. In limited circumstances, Delphix Support may be able to restore a working version of the Delphix Engine configuration. 

Resolution

A full resolution for the vulnerability is available in Delphix Engine 4.0.5.0. Customers running susceptible Delphix Engine versions are strongly encouraged to upgrade to 4.0.5.0, or a later release. Please contact Delphix Support to schedule a Delphix software upgrade.